.row {
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
}

.row-middle {
  align-items: center;
}

.col {
  flex-grow: 1;
  flex-basis: 0;
  max-width: 100%;
}

.col-start {
  justify-content: flex-start;
  text-align: left;
}

.col-center {
  justify-content: center;
  text-align: center;
}

.col-end {
  justify-content: flex-end;
  text-align: right;
}


/* Calendar */

.calendar {
  // border: 1px solid $red;
  box-sizing: border-box;
  margin: auto;
  margin-top: 40px;
  width: calc(80% - 40px);
}

.calendar .header {
  background: $red;
  color: white;
  display: flex;
  font-weight: 700;
  font-size: 115%;
  flex-direction: row;
  justify-content: space-between;
  padding: 10px 0;
  // text-transform: uppercase;
}

.calendar .header .icon {
  transform: scale(1.75);

  &:hover {
    color: $light-red;
    cursor: pointer;
  }

  &:first-of-type {
    margin-left: 1em;
  }

  &:last-of-type {
    margin-right: 1em;
  }
}

.calendar .days {
  background: $white;
  // border-bottom: 1px solid $pink;
  color: $dark-red;
  font-weight: 500;
  font-size: 70%;
  padding: .75em 0;
  text-transform: uppercase;
}

.calendar .body .cell {
  // background: lighten($grey, 5%);
  background: white;
  border: 1px solid darken($grey, 10%);
  border-radius: 4px;
  height: 5em;
  position: relative;
  // border-right: 1px solid $white;
  overflow: hidden;
}

.calendar .body .cell-wrapper {
  padding: 3px;
}

.calendar .body .today .number {
  color: black !important;
}

.calendar .body .today {
  background: $grey;
  border: 1px solid lighten($dark-grey, 10%);
}

.calendar .body .selected {
  background: lightn($grey, 10%);
  border: 1px solid $green;
}

.calendar .body .row {
  // border-bottom: 1px solid $white;

  &:last-child {
    border-bottom: none;
  }

  &:last-child {
    border-right: none;
  }
}

.calendar .body .cell .number {
  color: black;
  position: absolute;
  line-height: 1;
  top: .75em;
  right: .75em;
  font-weight: 700;
}

.calendar .body .selected .number {
  color: $green;
  position: absolute;
  line-height: 1;
  // top: .65em;
  // right: .65em;
  font-weight: 700;
}

.calendar .body .cell .hover-only {
  display: none;
}

.calendar .body .cell:hover .hover-only, .calendar .body .selected .hover-only {
  display: block;
}

.calendar .body .disabled {
  pointer-events: none;
}

.calendar .body .disabled .number {
  color: darken($grey, 10%);
}

.calendar .body .col {
  flex-grow: 0;
  flex-basis: calc(100%/7);
  width: calc(100%/7);
}